%define upstream_name    XS-Parse-Sublike
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build-time support for C<XS::Parse::Sublike>
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/XS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Sub::Util)
BuildRequires: perl(Test2::V0)
BuildRequires: perl-devel
%description
This module provides some XS functions to assist in writing parsers for
'sub'-like syntax, primarily for authors of keyword plugins using the
'PL_keyword_plugin' hook mechanism. It is unlikely to be of much use to
anyone else; and highly unlikely to be any use when writing perl code using
these. Unless you are writing a keyword plugin using XS, this module is not
for you.

This module is also currently experimental, and the design is still
evolving and subject to change. Later versions may break ABI compatibility,
requiring changes or at least a rebuild of any module that depends on it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Fri Aug 23 2024 tv <tv> 0.230.0-1.mga10
+ Revision: 2088795
- update to 0.23

* Thu Aug 22 2024 neoclust <neoclust> 0.220.0-2.mga10
+ Revision: 2087766
- Rebuild against new perl

* Wed Jul 10 2024 tv <tv> 0.220.0-1.mga10
+ Revision: 2080569
- update to 0.22

* Sun Nov 26 2023 tv <tv> 0.210.0-2.mga10
+ Revision: 2009905
- Rebuild for perl-5.38

* Mon Oct 23 2023 tv <tv> 0.210.0-1.mga10
+ Revision: 2000318
- update to 0.21

* Sun Sep 10 2023 tv <tv> 0.200.0-1.mga10
+ Revision: 1985731
- update to 0.20

* Tue Aug 29 2023 tv <tv> 0.180.0-1.mga10
+ Revision: 1981040
- update to 0.18

* Tue Nov 01 2022 tv <tv> 0.160.0-1.mga9
+ Revision: 1901014
- imported package perl-XS-Parse-Sublike

